makemytrip.com isn't redirecting to mobile site on Firefox OS

RESOLVED FIXED

Status

Tech Evangelism
Mobile
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: haseeb, Assigned: haseeb)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [mobile-compat-form][country-in][serversniff][sitewait], URL)

(Assignee)

Description

4 years ago
Site: http://www.makemytrip.com/
makemytrip.com isn't redirecting to mobile site on Firefox OS

:: Steps To Reproduce

1.Open Firefox browser
2.Enter makemytrip.com


:: Expected Result

http://m.makemytrip.com/

:: Actual Result

http://www.makemytrip.com/

:: Additional Information

Software Version: Firefox OS simulator 4.0
Reporter's User Agent: Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/28.0.1500.71 Chrome/28.0.1500.71 Safari/537.36
Server side sniffing in place:

mtaylor at omg-2 in ~/tmp
$ http --print=Hh GET http://www.makemytrip.com/ User-Agent:"$FFOS"
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.makemytrip.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.1) Gecko/18.1 Firefox/18.1

HTTP/1.1 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: close
Content-Encoding: gzip
Content-Length: 23439
Content-Type: text/html
Date: Thu, 31 Oct 2013 17:22:10 GMT
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Pragma: no-cache
Server: Apache
Set-Cookie: MMYTUUID=24617072-3124-4930-612b-565046612434.1383240130980176; path=/; expires=Sun, 30-Oct-16 17:22:10 GMT; domain=.makemytrip.com
Set-Cookie: AB=mhp_i8; expires=Sat, 30-Nov-2013 17:22:10 GMT; path=/; domain=www.makemytrip.com
Set-Cookie: PHPSESSID=fd7rrp4msrtte5qahadgevot82; path=/
Set-Cookie: VSF5DOTCOM_DEF=202003978.20480.0000; expires=Thu, 31-Oct-2013 17:46:50 GMT; path=/
Vary: Accept-Encoding

mtaylor at omg-2 in ~/tmp
$ http --print=Hh GET http://www.makemytrip.com/ User-Agent:"$FFA"
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.makemytrip.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:25.0) Gecko/25.0 Firefox/25.0

HTTP/1.1 302 Found
Connection: close
Content-Length: 0
Content-Type: text/html
Date: Thu, 31 Oct 2013 17:22:20 GMT
Location: http://m.makemytrip.com
Server: Apache
Set-Cookie: MMYTUUID=24617072-3124-3042-5239-7139726b2436.1383240140102849; path=/; expires=Sun, 30-Oct-16 17:22:20 GMT; domain=.makemytrip.com
Set-Cookie: VSF5DOTCOM_DEF=235558410.20480.0000; expires=Thu, 31-Oct-2013 17:46:59 GMT; path=/

We need to ask them to send the Firefox OS UA to the mobile site.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Whiteboard: [mobile-compat-form] → [mobile-compat-form][country-in][serversniff][contactready]
(Assignee)

Comment 2

4 years ago
I know someone from makemytrip, Should i contact him?
(Assignee)

Comment 3

4 years ago
I know someone from makemytrip, Should i contact him?
That would be really helpful Abdul. Tell them they are free to comment here on the bug if they have any questions.
(Assignee)

Comment 5

4 years ago
makemytrip.com agreed to fix
Great! BTW @haseeb, once we've reached out to a site you can change the [contactready] Whiteboard tag to [sitewait].

And then we can test it after a while before closing as fixed.
Whiteboard: [mobile-compat-form][country-in][serversniff][contactready] → [mobile-compat-form][country-in][serversniff][sitewait]
(Assignee)

Updated

4 years ago
Assignee: nobody → Abdulraufhaseeb
Status: NEW → ASSIGNED

Comment 7

4 years ago
So far, as of today, Firefox OS still receives the desktop version.

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.makemytrip.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Connection: close
Content-Encoding: gzip
Content-Length: 25512
Content-Type: text/html
Date: Wed, 18 Dec 2013 16:07:51 GMT
Server: Apache
Set-Cookie: AB=mhp_i8; expires=Fri, 17-Jan-2014 16:07:51 GMT; path=/; domain=www.makemytrip.com
Set-Cookie: VSF5DOTCOM_DEF=218781194.20480.0000; expires=Wed, 18-Dec-2013 16:10:33 GMT; path=/
Vary: Accept-Encoding

Comment 8

4 years ago
we'll fix it asap.
Latest results from our automated site testing indicates that this is fixed indeed. Thanks \0/

haseeb: verify?
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
(Assignee)

Comment 10

4 years ago
It is fixed.
You need to log in before you can comment on or make changes to this bug.